fonts-ubuntu (0.83-6ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - Don't state section "non-free" (LP bug 1754804)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 18 Feb 2022 17:43:34 +0100

fonts-ubuntu (0.83-6) unstable; urgency=medium

  * debian/rules: Reverse control hack for Ubuntu
  * Bump Standards-Version to 4.6.0
  * Bump d/copyright years
  * Add Rules-Requires-Root header
  * Add myself to the Uploaders field

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Fri, 18 Feb 2022 17:21:32 +0100

fonts-ubuntu (0.83-5) unstable; urgency=medium

  [ Gunnar Hjalmarsson ]
  * debian/rules:
    - Don't state section "non-free" when building for Ubuntu
      to avoid users trying to uninstall key Ubuntu packages
      after running vmrs (LP: #1754804).
  * Include Ubuntu-Th.ttf from the newer 0.84 version (LP: #1819135)

  [ Jeremy Bicha ]
  * Build-Depend on debhelper-compat 13
  * Drop obsolete transitional packages and Breaks/Replaces

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 15 Feb 2022 14:31:53 -0500

fonts-ubuntu (0.83-4) unstable; urgency=medium

  * Use dpkg-dev's pkg-info.mk instead of manually parsing dpkg-parsechanglog

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 26 Apr 2018 11:06:04 -0400

fonts-ubuntu (0.83-3) unstable; urgency=medium

  * Add XS-Autobuild: yes. See Developer's Reference § 5.10.5

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 17 Mar 2018 18:08:12 -0400

fonts-ubuntu (0.83-2) unstable; urgency=medium

  * Add missing Breaks/Replaces for package rename
  * debian/copyright: Add more info to Comment section

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 28 Feb 2018 17:05:22 -0500

fonts-ubuntu (0.83-1) unstable; urgency=medium

  * Initial release for Debian. Closes: #603157
  * Rename source and binary packages for Debian font naming conventions
    (LP: #851457)
  * Many other minor packaging improvements

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 26 Feb 2018 06:45:46 -0500

ubuntu-font-family-sources (1:0.83-0ubuntu2) xenial; urgency=medium

  * Revert back to the previous 0.83 version: 0.84 has visual regressions.
    (LP: #1520772)
  * Clean up /etc/fonts/conf.avail/65-ubuntu-font-family-arabic.conf

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 10 Mar 2016 14:15:23 +0000

ubuntu-font-family-sources (0.84~mono0.83+arabicfontconfig-0ubuntu1) xenial; urgency=medium

  [Iain Lane]
  * New upstream release for Arabic Fontconfig fallback mechanism alpha test
    + Include versions of Ubuntu Arabic font for testing.
    + Include fontconfig fallback for "Ubuntu" to "Ubuntu Arabic"
    + Include Thin weight of Ubuntu font

  [Dalton Maag]
  * Fixing the following bugs:
    + [2 mod] Style: v Î½ x Ï‡ Greek and Latin characters use the same glyph in
      italic style (LP: #654484)
    + [1 mod] U+0311 Combining inverted breve should have zero width (LP:
      #671522)
    + [15 mod] Style: Hebrew: Nikud diacriticals not aligned to letters (LP:
      #726770)
    + [nc] Set Vertical Metrics to BBOX and LineGap 0 to avoid clipping on MS
      Windows (LP: #859677)
    + [1 mod] greek letter for pi looks like n (LP: #1131170)
    + [1 mod] Kerning: Å¿ (U+017F) [latin long s] colliding with following
      characters (LP: #682472)
    + [1 mod] Kerning: [g" kerning wrong for bold" (LP: #710786)
    + [nc] Technical: Set NAME.License-*. The fonts do not contain License or
      License URL in the TTF Names (LP: #763273)

  [Paul Sladen]
  * The supplied Mono weights included a visual regression in respect of lower
    'i' in respect of efforts to address 'Î¹' (iota) in LP#692778
  * Thusly, this packaged release does not fixing the following bugs - it
    contains the "0.83" previous version of Ubuntu Mono:
    + [1 mod] Mono: Patch U+EFFD to current version - LP#862440
    + [nc] Mono: bold characters appear higher than regular characters
      - LP#872852
    + [1 mod] Style: Mono: letter small Latin iota (U+0269) different than
      Latin letter small i (U+069) - LP#692778
    + [1 mod] [Ubuntu Mono] Consecutive underscores should have visible
      separation - LP#827641
    + [1 mod] Mono: comma and semi-colon render slightly differently
      - LP#851896
    + [1 mod] Mono: Capital M is slightly asymmetric - LP#1096769

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 27 Nov 2015 18:21:42 +0000

ubuntu-font-family-sources (0.83-0ubuntu1) wily; urgency=low

  * New upstream release
    * Recompile and re-sign proportional fonts (x8)
    * Note: created by partial binary patching of v0.80

  [Marc Foley]
  * [Engineering] Fixed wrong characters appear in some mac apps. (LP: #1334363)

 -- Paul Sladen <sladen@ubuntu.com>  Fri, 21 Aug 2015 18:27:58 +0200

ubuntu-font-family-sources (0.80-0ubuntu6) saucy; urgency=low

  * Mark fonts as Multi-Arch: foreign.
  * Bump Standards version.
  * Bump to debhelper 9.
  * Update debian/copyright to latest specification.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 04 Sep 2013 16:03:05 +0100

ubuntu-font-family-sources (0.80-0ubuntu5) quantal; urgency=low

  [ Timo Jyrinki ]
  * Add modified Ubuntu-M.ttf binary (LP: #1054204)
  * Restore installing Ubuntu-M* (LP: #1048600)

  [ Iain Lane ]
  * Modify Ubuntu-MI.ttf in the same way (set "Family Name"), otherwise Ubuntu
    Medium Italic gets selected for Ubuntu Light Italic in LO.

 -- Iain Lane <iain@orangesquash.org.uk>  Sat, 06 Oct 2012 13:20:49 +0100

ubuntu-font-family-sources (0.80-0ubuntu4) quantal; urgency=low

  * Revert (yes, again) the shipping of Medium. It causes too many bugs this
    late in the cycle. We'll flop once more at the very start of R cycle. (LP:
    #1048600)

 -- Iain Lane <iain.lane@canonical.com>  Fri, 21 Sep 2012 12:51:56 +0100

ubuntu-font-family-sources (0.80-0ubuntu3+console) quantal; urgency=low

  * Restore shipping of Medium and Medium Italic for the binary package.
    (LP: #1048600)

 -- Paul Sladen <sladen@ubuntu.com>  Fri, 14 Sep 2012 12:10:00 +0300

ubuntu-font-family-sources (0.80-0ubuntu2) precise; urgency=low

  * Don't ship Ubuntu Medium ("Ubuntu Light" "Bold") because
    of issues with the font/toolkit stacks on Ubuntu not working.
    Workaround for (LP: #744812).

 -- Florian Boucault <florian.boucault@canonical.com>  Wed, 21 Mar 2012 11:02:09 +0000

ubuntu-font-family-sources (0.80-0ubuntu1+console) precise; urgency=low

  * Uncomment to build 'fonts-ubuntu-font-family-console' package by default
    - Uses partial hinting information in Ubuntu Mono
    - Following MIRs for otf2bdf (LP#873705) and bdf2psf (LP#873713)

 -- Paul Sladen <sladen@canonical.com>  Wed, 24 Nov 2011 15:00:00 +0000

ubuntu-font-family-sources (0.80-0ubuntu1) precise; urgency=low

  * Restore Ubuntu Medium and Ubuntu Medium Italic back for precise.

 -- Paul Sladen <sladen@canonical.com>  Fri, 14 Oct 2011 18:10:17 +0100

ubuntu-font-family-sources (0.80-0ubuntu1~medium) oneiric; urgency=low

  * New upstream release 0.80 (LP: #854264)
    * Ubuntu (x8 weights)
    + Ubuntu Condensed (x1 weight)
    + Ubuntu Mono (x4 weights)

  * Upstream Ubuntu Font Family version 0.80:
    [Vincent Connare/Dalton Maag]
    * Wish for addition of a monospaced member to the family (LP: #640382)
    * Mono: No hinting yet - Ubuntu Beta Mono font looks jagged in
      Netbeans and terrible with ClearType (LP: #820493)
    * Emacs: choosing normal monospace font in Emacs but gives bold-italic
      (LP: #791076)
    * PUA: ensure that Ubuntu Circle of Friends logo is full size: (LP: #853855)
      + U+E0FF becomes large size in proportionals, remains small width in
        monospaces
      + U+F0FF becomes small size (proportionals only)
      + U+F200 is full ubuntu logomark (proportionals only)
    [Paul Sladen]
    * Monospace: Patch Family Name to be "Ubuntu Mono"
    * Monospace: Patch U+EFFD version debugging glyph to be '0.8'
    [Cody Boisclair]
    * Monospace: Force .null HDMX advance to 500
    * Monospace: Remap ASCII box-drawing characters (LP: #788757)
    [Júlio Reis]
    * Date corrections to 'FONTLOG' (LP: #836595)

  [Paul Sladen]
  * Bump Standards-Version:
  * Drop superseded Deforma dependency (LP: #633508)
  * Switch packaging from CDBS to Debhelper 7 (LP: #633508)

 -- Paul Sladen <sladen@canonical.com>  Thu, 29 Sep 2011 18:20:36 +0100

ubuntu-font-family-sources (0.71.2-0ubuntu7) oneiric; urgency=low

  * Don't ship Ubuntu Medium ("Ubuntu Light" "Bold") because
    of issues with the font/toolkit stacks on Ubuntu not working.
    Workaround for (LP: #744812).

 -- Paul Sladen <sladen@canonical.com>  Mon, 05 Sep 2011 07:38:36 +0100

ubuntu-font-family-sources (0.71.2-0ubuntu5) oneiric; urgency=low

  * Re-ship Ubuntu Medium ("Ubuntu Light" "Bold")
    to make sure the stack gets fixed.  Leaves unfixed: LP#744812.

 -- Paul Sladen <sladen@canonical.com>  Tue, 10 May 2011 09:38:17 +0200

ubuntu-font-family-sources (0.71.2-0ubuntu3) natty; urgency=low

  * Don't ship Ubuntu Medium ("Ubuntu Light" "Bold") because
    of issues with the font/toolkit stacks on Ubuntu not working.
    Workaround for (LP: #744812).
  * Fix debian/changelog formatting fail.

 -- Paul Sladen <sladen@canonical.com>  Mon, 11 Apr 2011 09:59:55 +0000

ubuntu-font-family-sources (0.71.2-0ubuntu2) natty; urgency=low

  * Don't ship Ubuntu Medium ("Ubuntu Light" "Bold") because
    of issues with the font/toolkit stacks on Ubuntu not working.
    Workaround for (LP: #744812).

 -- Paul Sladen <sladen@canonical.com>  Mon, 11 Apr 2011 08:49:02 +0000

ubuntu-font-family-sources (0.71.2-0ubuntu1) natty; urgency=low

  * New upstream release 0.71.2 ("squeezed") (LP: #736502)
    + (Production) Adjust Medium WeightClass to 500 (Md, MdIt) (LP: #730912)

  * Upstream Ubuntu Font Family version 0.71.1
    + (Design) Add Capitalised version of glyphs and kern. (Lt, LtIt,
      Md, MdIt) DM (LP: #677446)
    + (Design) Re-space and tighen Regular and Italic by amount specified
      by Mark Shuttleworth (minus 4 FUnits). (Rg, It) (LP: #677149)
    + (Design) Design: Latin (U+0192) made straight more like l/c f with
      tail (LP: #670768)
    + (Design) (U+01B3) should have hook on right, as the lowercase
      (U+01B4) (LP: #681026)
    + (Design) Tail of Light Italic germandbls, longs and lowercase 'f'
      to match Italic/BoldItalic (LP: #623925)
    + (Production) Update <case> feature (Lt, LtIt, Md, MdIt). DM
      (LP: #676538, #676539)
    + (Production) Remove Bulgarian locl feature for Italics. (LP: #708578)
    + (Production) Update Description information with new string:
      "The Ubuntu Font Family are libre fonts funded by Canonical Ltd
      on behalf of the Ubuntu project. The font design work and
      technical implementation is being undertaken by Dalton Maag. The
      typeface is sans-serif, uses OpenType features and is manually
      hinted for clarity on desktop and mobile computing screens. The
      scope of the Ubuntu Font Family includes all the languages used
      by the various Ubuntu users around the world in tune with
      Ubuntu's philosophy which states that every user should be able
      to use their software in the language of their choice. The
      project is ongoing, and we expect the family will be extended to
      cover many written languages in the coming years."
      (Rg, It, Bd, BdIt, Lt, LtIt, Md, MdIt) (LP: #690590)
    + (Production) Pixel per em indicator added at U+F000 (Lt, LtIt, Md,
      MdIt) (LP: #615787)
    + (Production) Version number indicator added at U+EFFD (Lt, LtIt, Md,
      MdIt) (LP: #640623)
    + (Production) fstype bit set to 0 - Editable (Lt, LtIt, Md, MdIt)
      (LP: #648406)
    + (Production) Localisation of name table has been removed because
      of problems with Mac OS/X interpretation of localisation. DM
      (LP: #730785)
    + (Hinting) Regular '?' dot non-circular (has incorrect control
      value). (LP: #654336)
    + (Hinting) Too much space after latin capital 'G' in 13pt
      regular. Now reduced. (LP: #683437)
    + (Hinting) Balance Indian Rupee at 18,19pt (LP: #662177)
    + (Hinting) Make Regular '£' less ambiguous at 13-15 ppm (LP: #685562)
    + (Hinting) Regular capital 'W' made symmetrical at 31 ppem (LP: #686168)

 -- Paul Sladen <sladen@ubuntu.com>  Thu, 24 Mar 2011 05:45:45 +0000

ubuntu-font-family-sources (0.70.1-0ubuntu1) natty; urgency=low

  * New upstream release 0.70.1

  Packaging, rebuilt from '2010-12-08 UbuntuFontsSourceFiles_070.zip':
  * (Midstream) Fstype bit != 0 (LP: #648406)
  * (Midstream) Add unit test to validate fstype bits (LP: #648406)

 -- Paul Sladen <sladen@ubuntu.com>  Tue, 14 Dec 2010 15:18:00 +0000

ubuntu-font-family-sources (0.70-0ubuntu1) natty; urgency=low

  * New upstream release 0.70

  Release notes 0.70, upstream changes:
  * (Design) Add Capitalised version of glyphs and kern. (Rg, It, Bd,
    BdIt) DM (LP: #676538, #677446)
  * (Design) Give acute and grave a slight upright move to more match
    the Hungarian double acute angle. (Rg, It, Bd, BdIt) (LP: #656647)
  * (Design) Shift Bold Italic accent glyphs to be consistent with the
    Italic. (BdIt only) DM (LP: #677449)
  * (Design) Check spacing and kerning of dcaron, lcaron and
    tcaron. (Rg, It, Bd, BdIt) (LP: #664722)
  * (Design) Add positive kerning to () {} [] to open out the
    combinations so they are less like a closed box. (Rg, It, Bd,
    BdIt) (LP: #671228)
  * (Design) Change design of acute.asc and check highest points (Bd
    and BdIt only) DM
  * (Production) Update <case> feature. DM (LP: #676538, #676539)
  * (Production) Remove Romanian locl feature. (Rg, It, Bd, BdIt)
    (LP: #635615)
  * (Production) Update Copyright information with new
    strings. "Copyright 2010 Canonical Ltd. Licensed under the Ubuntu
    Font Licence 1.0" Trademark string "Ubuntu and Canonical are
    registered trademarks of Canonical Ltd." (Rg, It, Bd, BdIt) DM
    (LP: #677450)
  * (Design) Check aligning of hyphen, math signs em, en, check braces
    and other brackets. 16/11 (LP: #676465)
  * (Production) Pixel per em indicator added at U+F000 (Rg, It, Bd,
    BdIt) (LP: #615787)
  * (Production) Version number indicator added at U+EFFD (Rg, It, Bd,
    BdIt) (LP: #640623)
  * (Production) fstype bit set to 0 - Editable (Rg, It, Bd, BdIt)
    (LP: #648406)

 -- Paul Sladen <sladen@ubuntu.com>  Tue, 14 Dec 2010 04:42:00 +0000

ubuntu-font-family-sources (0.69+ufl-0ubuntu1) maverick; urgency=low

  * New upstream release 0.69 ("Indian Rupee sign") (LP: #653035)

  [Dalton Maag]
  * Italic
    - Hinting on lowercase Italic l amended 19ppm (LP: #632451)
    - Hinting on lowercase Italic u amended 12ppm (LP: #626376)

  * Regular, Italic, Bold, BoldItalic
    - New Rupee Sign added @ U+20B9 (LP: #645987)
    - Ubuntu Roundel added @ U+E0FF (LP: #651606)

  [Paul Sladen]
  * All
    - Removed "!ubu" GSUB.calt ligature for U+E0FF (LP: #651606)

 -- Paul Sladen <sladen@ubuntu.com>  Tue,  5 Oct 2010 01:40:00 +0100

ubuntu-font-family-sources (0.68+ufl-0ubuntu1) maverick; urgency=low

  * New upstream release 0.68+ufl: (LP: #629622, #633508)
    - Libre font, licensed under the Ubuntu Font Licence 1.0 (LP: #632411)

  * New upstream release 0.68:
    - All
      + Version numbering agreed (LP: #633176, #629727)
      + The glyph at Unicode x1F5d was changed in all fonts, i.e. change
        of commaaccent in Greek glyph
      + Updated OS/2 table Strikethrough and 'post' table underline
        values to match thickness of underscore.
    - Italic / Bold Italic
      + The feminineordinal in the Italic now follows the design of
        the a, it has been updated and hinted.

  * New upstream release 0.67:
    - All
      + Version number forwarded to 0.67
    - Regular
      + Hinting adjustments for 15 - 18 ppm
      + Greek glyph uni1F5D has accent corrected.
      + Hinting amends for lowercase v, w and y in sizes 30 - 42
      + hdmx table include 120dpi ranges (LP: #608823)
      + Hinting amended to adjust for Freetype hint
        implementation. (LP: #614693)
    - Italic
      + Greek glyph uni1F5D has accent corrected.
    - Italic / Bold Italic:
      + lowercase f redesigned. (LP: #623925)
      + ae dipthong redesigned. (LP: #620057)

 -- Paul Sladen <sladen@ubuntu.com>  Tue, 28 Sep 2010 06:00:00 +0100

ubuntu-private-fonts (0.1.10~ppa1) maverick; urgency=low

  * New upstream release.
    - Regular:
      + Misplaced accent above lowercase y corrected. (LP: #619951)
      + Hyphen made 1 pixel heavier in sizes 32-36ppm.
      + Respaced hypen in 8-16 ppm. (LP: #608758)
      + Respace s in 12-18ppm to look less like a 5.
      + Period made 1 pixel lighter az 27 ppm.
      + Lowercase w made wider at 22ppm.
      + Small size (8-9ppm) greyscale improved. (LP: #621456)
      + Accent positions improved where possible. (LP: #622385)
    - Regular & Italic:
      + x height increased 1 pixel at 20,22,24 ppm.
    - Bold Italic:
      + Some Greek Poly glyphs adjusted spacing.
    - All weights:
      + U+0162, U+0163 now have cedilla accents. (LP: #615565)

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed, 25 Aug 2010 13:26:32 +0200

ubuntu-private-fonts (0.1.9~ppa1) maverick; urgency=low

  * New upstream release.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 16 Aug 2010 18:31:27 +0200

ubuntu-private-fonts (0.1.8~ppa1) maverick; urgency=low

  * New upstream release:
    - added italic font, added bold-italic font.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 09 Aug 2010 18:08:03 +0200

ubuntu-private-fonts (0.1.7~ppa1) maverick; urgency=low

  * New upstream release.
    - updated regular font.
    - added bold font.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Fri, 30 Jul 2010 12:46:43 +0200

ubuntu-private-fonts (0.1.6~ppa5) maverick; urgency=low

  * Creating dummy package to install new version

 -- Kenneth Wimer <kwwii@ubuntu.com>  Thu, 08 Jul 2010 16:54:53 +0100

ubuntu-private-fonts (0.1.6~ppa3) lucid; urgency=low

  * Correcting information in control file

 -- Kenneth Wimer <kwwii@ubuntu.com>  Thu, 08 Jul 2010 13:17:38 +0100

ubuntu-private-fonts (0.1.6~ppa2) lucid; urgency=low

  * Bumping version number due to problems with lp

 -- Kenneth Wimer <kwwii@ubuntu.com>  Mon, 21 Jun 2010 16:19:32 +0100

ubuntu-private-fonts (0.1.6~ppa1) lucid; urgency=low

  * Initial packaging for UbuntuFontBetaTesting ppa

 -- Kenneth Wimer <kwwii@ubuntu.com>  Mon, 21 Jun 2010 12:31:39 +0100
